
from flask import Flask, render_template
import os
import subprocess # for whoami

app = Flask(__name__, template_folder='templates')
basename = "/helloworld"

def whoami():
    return subprocess.check_output('whoami').decode('utf-8')

@app.route(basename+'/')
def helloworld():
    
    d = {
        "username": whoami().strip(),
        "env": "Development",
        "avater": "https://git.selfmade.ninja/uploads/-/system/user/avatar/7411/avatar.png?width=800"
    }
    
    return render_template('helloworld.html', data=d )

if __name__ == '__main__':
    app.run(debug=True)
