from flask import Flask , render_template
import os
import math
from src import User

app = Flask(__name__)
basename = '/iotcloud'
     
@app.route(basename+'/hello')
def hello_world():
   d = {
      "username": "justin",
      "env": "labs",
      "avatar": "https://media.licdn.com/dms/image/D5603AQGqSYfbrnkjcw/profile-displayphoto-shrink_200_200/0/1694890248719?e=1720051200&v=beta&t=M6ZsyUoBIQ8fpaswZe6aCld0oOmrala4dKPRt2m4v98"
   }
   return render_template('helloworld.html', data = d)

@app.route(basename+'/')
def home():
   return "<h1> Welcome to IoT Cloud </h1>"

@app.route(basename + '/whoami')
def whoami():
   return os.popen('whoami').read()


if __name__ == '__main__':
   app.run(host = '0.0.0.0' , port = '7000' , debug = True )
            
